*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    scrollbar-width:none;
    font-family: "Glacier";
    font-size: large;
}

@font-face {                  
font-family: 'Ojuju-Bold';
src: url(https://humantooth.neocities.org/fonts/Ojuju-Bold.woff2) format('woff2');
font-weight: normal;
font-style: normal;
} 

@font-face {                  
font-family: 'Glacier';
src: url(https://humantooth.neocities.org/fonts/Glacier-Regular.woff) format('woff');
font-weight: normal;
font-style: normal;
}

.apiBridge{
  position:absolute;
  width:300px;
  height:80px;
  top:90%;
  left:10%;
display: none;
visibility: hidden;}

input:invalid{
    border: rgb(255, 89, 249) 1px solid;
}



.entry-iframe {
    border:0;
    height:450px;
    aspect-ratio: 1 / 1;
}

.entry-comment{
    color: black;
    border: black 0.5px solid;
    border-color: transparent;
    width: 81%;
    height:40px;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow-y: scroll;
    padding-left: 5%;
    padding-right:5%;
}

body{
    width:100vw;
    height:100vh;
    max-height: 100vh;
    

    background-image: url("../../../assets/battleback_dw_perfectheart.png");
    background-repeat:repeat-y;
    background-size: 100%;

    display: flex;
    flex-direction: column;

    align-items: center;
    justify-content: space-between;
    gap:3.2em;
    padding-top: 4.0%;
    padding-bottom: 1.5em;
}

.submission-form{
    visibility: collapse;
}

.title-zone{
    display: flex;
    flex-direction: column;
    gap:2em;
    width:60%;
}

.page-title{
    font-size:3.5vw;
    text-align: center;

    background-image:  url("../../../assets/pni50064.gif");
    color:transparent;
    background-clip: text;
    -webkit-background-clip: text;

    animation: hover 3s infinite ease-in-out;


    filter: 
        drop-shadow(1px 1px rgb(67, 255, 158))
        drop-shadow(-1px -1px rgb(8, 96, 101))
        drop-shadow(1px -1px rgb(13, 120, 156))
        drop-shadow(-1px 1px rgb(123, 11, 11));
}

.page-subtitle{
    color:rgb(150, 255, 215);
    filter: 
        drop-shadow(-0.5px -0.5px rgb(150, 255, 215))
        drop-shadow(1.5px 1.5px rgb(9, 46, 59))
        drop-shadow(0.5px 0.5px rgb(123, 11, 11));

    font-size:1.5vw;
    text-align: center;

    animation: hover 3s infinite ease-in-out;
}

.center-zone{
    flex:1;
    width:95%;
    max-width: 1200px;
    display: flex;
    gap:4.5em;

    align-items: center;
    justify-content: space-evenly;

}



.preview{
    flex:1;
    color:aliceblue;
    display: flex;
    align-items: center;
    justify-content: center;

    visibility: visible;
    display: flex;
    flex-direction: column;
    height: 500px;
    max-height: 500px;
}

.main-zone{
    background-color: black;
    height:500px;
    max-height: 500px;
    flex:1;

    border:rgb(240, 248, 255) 1px inset;
    border-style: solid;
    border-radius: 3%;

    background-color: rgba(240, 248, 255, 0.157);

    box-shadow: inset 0 0 20px 15px rgba(255, 255, 255, 0.238), 
            inset 0 0 5px 2px rgba(255, 255, 255, 0.238), 
            0px 0px 60px 10px rgba(245, 255, 111, 0.5);

    color: aliceblue;


    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
}





.outer-frame{
    background-color:rgba(122, 122, 122, 0.9);
    background-image: linear-gradient(to bottom, rgba(213, 213, 213, 0.355) 50%, rgba(61, 61, 61, 0.359));
    box-shadow: inset 0 0 10px 2px rgba(255, 255 ,255, 0.9);
    border-radius: 8%;
    border: black 0.5px solid;
    color: black;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    width:85%;
    height:92.5%;
    padding:5px;
    padding-top: 10px;

    color: blue;
}


.inner-frame{
    height: 90%;
    width: 92%;
    background-color: rgba(169, 169, 169, 0.812);
    border: black 0.5px solid;
    border-radius:8%;
    box-shadow: inset 0 0 8px 5px rgba(83, 83, 83, 0.812),
                inset 0 0 18px 12px rgba(201, 201, 201, 0.837),
                0 0 6px 3px rgba(83, 83, 83, 0.812);

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: start;
    gap:8px;
    
}

.frame-title{
    background-color:rgba(255, 255, 255, 0.394);
    background-image: linear-gradient(to bottom, rgba(227, 227, 227, 0.36), rgba(154, 154, 154, 0.73));
    margin-top: 10px;


    font-family:'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-size: medium;
    height: 35px;
    width:90%;
    align-content: center;
    text-align: center;
    border-bottom-left-radius: 50%;
     border-bottom-right-radius: 50%;

     box-shadow: 0 0 10px 1px white;
     padding-bottom: 5px;

     color: black;

}

.form-content{
    margin:2%;
    width:90%;
    height:80%;
    max-height: 400px;
    display: flex;
    flex-direction: column;
    gap:5px;
    overflow-y: auto;
}

.form{
    display: flex;
    flex-direction: column;
    color: black;
    align-items: start;
    gap:0.6em;
}

.form-slider{
    display: flex;
    flex-direction: column;
    width:100%;
    gap:1em;
    justify-content: space-between;
}

.form-slider input{
    width:100%;
}

.ligne{
    display: flex;
    flex-direction: row;
    width:100%;
    gap:1em;
    justify-content: space-between;
}



.form-content .button-style{max-width:30%;}
hr {
  border: 0;
  clear:both;
  display:block;
  width: 100%;               
  background-color:rgba(0, 0, 0, 0.29);
  height: 1.5px;
  margin-top:6px;
  margin-bottom: 6px;
}

.list-content{
    margin:2%;
    width:90%;
    height:80%;
    display: flex;
    flex-direction: column;
    gap:5px;
    overflow-y: auto;
}

.list-content button{
    background-image: url("../../../assets/dot.png");
    background-color: transparent;
    border:none;
    width:100%;
    padding:4px;
    padding-left: 10px;

    
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.entry-emphasis{
    text-shadow: 1px 1px  yellow, -0.5px 0px rgba(0, 0, 0, 0.529);
    font-size: 1.1rem;
}

.score{
    font-family:'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-size: small;
}

.list-content button:hover{
    background-color: rgba(255, 255, 255, 0.472);
}

.list-content button:target-current{
    background-color: rgba(255, 255, 255, 0.472);
}

.actions{
    height:3.5em;
    width:75%;

    display:flex;
    align-items: center;
    justify-content: center;
}

.button-style{
    flex:1;
    
    padding:2%;
    height:80%;

    background-color:rgba(255, 255, 255, 0.394);
    background-image: linear-gradient(to bottom, rgba(227, 227, 227, 0.36), rgba(154, 154, 154, 0.73));
    font-family:'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-size: 0.75em;
    box-shadow: inset 0 0 8px 2px rgba(0, 0, 0, 0.141),
                inset 0 0 12px 10px rgba(218, 218, 218, 0.226);

    border-radius: 8%;
    border:rgba(100, 100, 100, 0.793) 2px inset;
}

.button-style:hover{
    background-color:rgba(255, 255, 255, 0.594);
    border-color: rgba(66, 66, 66, 0.793);
    box-shadow: 0 0 20px 0.5px rgba(255, 243, 109, 0.598);
}


.options{
    width:80%;
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap:1em;
    color:black;
    margin-bottom: 50px;
}

.options button{
    color: black;
    text-decoration: underline;

    background-color: transparent;
    border: none;
}

.restart-button:hover{
    color: black;
    filter: drop-shadow(-15px 10px  limegreen)
            drop-shadow(-10px -10px  yellow);
}


.go-home-button:hover{
    color: black;
    filter: drop-shadow(10px 10px  red)
            drop-shadow(15px -10px  deepskyblue);
}


@keyframes hover {

    50% {
        transform: translateY(6%);
    }
}